Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.locator
Interface EndpointSnitchInfoMBean

All Known Implementing Classes:
  EndpointSnitchInfo

    public interface EndpointSnitchInfoMBean

MBean exposing standard Snitch info

Method Summary
`java.lang.String` | `getDatacenter(java.lang.String host)` Provides the Datacenter name depending on the respective snitch used, given the hostname/ip
`java.lang.String` | `getRack(java.lang.String host)` Provides the Rack name depending on the respective snitch used, given the host name/ip

Method Detail

### getRack

    java.lang.String getRack(java.lang.String host)
                             throws java.net.UnknownHostException

  Provides the Rack name depending on the respective snitch used, given the host name/ip

  Parameters:
    `host` -
  Throws:
    `java.net.UnknownHostException`

### getDatacenter

    java.lang.String getDatacenter(java.lang.String host)
                                   throws java.net.UnknownHostException

  Provides the Datacenter name depending on the respective snitch used, given the hostname/ip

  Parameters:
    `host` -
  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation